Tag Parser: TagParser::NoDataProvidedException Class Reference

Tag Parser 12.5.3 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::NoDataProvidedException Class Reference

The exception that is thrown when the value to be written is empty but that is not allowed in that context (e.g. More...

`#include <exceptions.h>`

Inheritance diagram for TagParser::NoDataProvidedException:
[legend]
Collaboration diagram for TagParser::NoDataProvidedException:
[legend]

## Public Member Functions
| NoDataProvidedException () noexcept
| Constructs a new exception.
virtual | ~NoDataProvidedException () noexcept
| Destroys the exception.
virtual const char * | what () const noexcept
| Returns a C-style character string describing the cause of the exception.
Public Member Functions inherited from TagParser::Failure
| Failure () noexcept
| Constructs a new exception.
virtual | ~Failure () noexcept
| Destroys the exception.

## Detailed Description

The exception that is thrown when the value to be written is empty but that is not allowed in that context (e.g.

an empty ID3v2 frame is not allowed).

Definition at line 32 of file exceptions.h.

## Constructor & Destructor Documentation

## ◆ NoDataProvidedException()

TagParser::NoDataProvidedException::NoDataProvidedException | ( |  | ) |
| noexcept

Constructs a new exception.

Definition at line 101 of file exceptions.cpp.

## ◆ ~NoDataProvidedException()

TagParser::NoDataProvidedException::~NoDataProvidedException | ( |  | ) |
| virtualnoexcept

Destroys the exception.

Definition at line 108 of file exceptions.cpp.

## Member Function Documentation

## ◆ what()

const char * TagParser::NoDataProvidedException::what | ( |  | ) | const
| virtualnoexcept

Returns a C-style character string describing the cause of the exception.

Reimplemented from TagParser::Failure.

Definition at line 115 of file exceptions.cpp.

The documentation for this class was generated from the following files:

- exceptions.h
- exceptions.cpp